## makefile.in by Christian Marillat <marillat@debian.org>
## Makefile tweaks.

Index: sawfish/lisp/sawfish/gtk/Makefile.in
===================================================================
--- sawfish.orig/lisp/sawfish/gtk/Makefile.in
+++ sawfish/lisp/sawfish/gtk/Makefile.in
@@ -28,7 +28,7 @@
 VPATH=@srcdir@:@top_srcdir@
 
 REP_GTK_GNOME=@REP_GTK_GNOME@
-REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp
+REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp:$(top_builddir)/lisp
 
 SRCS :=	color-preview.jl	\
 	stock.jl		\
Index: sawfish/lisp/sawfish/ui/Makefile.in
===================================================================
--- sawfish.orig/lisp/sawfish/ui/Makefile.in
+++ sawfish/lisp/sawfish/ui/Makefile.in
@@ -28,7 +28,7 @@
 VPATH=@srcdir@:@top_srcdir@
 
 REP_GTK_GNOME=@REP_GTK_GNOME@
-REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp
+REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp:$(top_builddir)/lisp
 
 ifeq ($(REP_GTK_GNOME),yes)
  GNOME:=
Index: sawfish/scripts/Makefile.in
===================================================================
--- sawfish.orig/scripts/Makefile.in
+++ sawfish/scripts/Makefile.in
@@ -29,7 +29,7 @@
 LISP_SRCS := sawfish-menu.jl sawfish-client.jl sawfish-about.jl
 LISP_OBJS := $(LISP_SRCS:.jl=.jlc)
 
-REP_ENVIRON := $(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp
+REP_ENVIRON := $(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp:$(top_builddir)/lisp
 
 SUBSTS := -e "s|__lispdir__|$(lispdir)|" \
 	  -e "s|__localedir__|$(localedir)|" \
Index: sawfish/src/Makefile.in
===================================================================
--- sawfish.orig/src/Makefile.in
+++ sawfish/src/Makefile.in
@@ -70,7 +70,7 @@
 	$(foreach x,$(DL_DSTS),\
 	  $(rep_LIBTOOL) --mode=install $(INSTALL_PROGRAM) \
 	  $(notdir $(x)) $(DESTDIR)$(sawfishexecdir)/$(dir $(x));)
-	$(rep_INSTALL_ALIASES) -c . $(DESTDIR)$(sawfishexecdir)
+	$(rep_INSTALL_ALIASES) -c $(srcdir) $(DESTDIR)$(sawfishexecdir)
 	$(rep_LIBTOOL) --mode=install $(INSTALL_PROGRAM) client.la $(DESTDIR)$(repexecdir)/sawfish/
 
 uninstall :
